HanMacWrdJGraph.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicEncoder.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "HanMacWrdJParser.hxx"`
`#include "HanMacWrdJGraph.hxx"`

## Classes

struct | HanMacWrdJGraphInternal::CellFormat
| a cell format in HanMacWrdJGraph More...
struct | HanMacWrdJGraphInternal::TableCell
| a table cell in a table in HanMacWrdJGraph More...
struct | HanMacWrdJGraphInternal::Table
| Internal: the table of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::FrameFormat
| a frame format in HanMacWrdJGraph More...
struct | HanMacWrdJGraphInternal::Frame
| Internal: the frame header of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::CommentFrame
| Internal: the comment frame of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::Group
| Internal: a group of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::PictureFrame
| Internal: the picture frame of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::SeparatorFrame
| Internal: a footnote separator of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::TableFrame
| Internal: the table frame of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::TextboxFrame
| Internal: the textbox frame of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::TextFrame
| Internal: the text frame (basic, header, footer, footnote) of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::ShapeGraph
| Internal: the geometrical graph of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::Pattern
| Internal: the pattern of a HanMacWrdJGraph. More...
struct | HanMacWrdJGraphInternal::State
| Internal: the state of a HanMacWrdJGraph. More...
class | HanMacWrdJGraphInternal::SubDocument
| Internal: the subdocument of a HanMacWrdJGraph. More...

## Namespaces

namespace | HanMacWrdJGraphInternal
| Internal: the structures of a HanMacWrdJGraph.

## Functions

std::ostream & | HanMacWrdJGraphInternal::operator<< (std::ostream &o, TableCell const &cell)
std::ostream & | HanMacWrdJGraphInternal::operator<< (std::ostream &o, Frame const &grph)

## Variables

constexpr int | HanMacWrdJGraphInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when walking nested groups